Debian Bug report logs - #517114
please enable the prompt to enter preseeding url

version graph

Package: auto-install; Maintainer for auto-install is Debian Install System Team <debian-boot@lists.debian.org>;

Reported by: Kushal Koolwal <kushalkoolwal@hotmail.com>

Date: Wed, 25 Feb 2009 17:48:01 UTC

Severity: normal

Fixed in version 1.9+rm

Done: Debian FTP Masters <ftpmaster@ftp-master.debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, kushalkoolwal@hotmail.com, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#517114; Package debian-installer. (Wed, 25 Feb 2009 17:48:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
New Bug report received and forwarded. Copy sent to kushalkoolwal@hotmail.com, Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 25 Feb 2009 17:48:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Kushal Koolwal <kushalkoolwal@hotmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: debian-installer: preseeding not working
Date: Wed, 25 Feb 2009 09:45:55 -0800
Package: debian-installer
Version: 20090123
Severity: important

I tried installing Emdebian Grip 1.0 using the preseeding method suggested at:
http://buildd.emdebian.org/grip/

and the preseeding fails in two ways:
1. First, you do not get a screen (after network detection) which asks you to enter the url of preseeding.
http://lists.debian.org/debian-embedded/2009/02/msg00135.html

2. Even if you pass boot parameters at command line (url=), the preseeding still fails.
http://lists.debian.org/debian-embedded/2009/02/msg00145.html

The Debian Lenny documentation mentions about preseeding - Either we shold remove it from the docs or get it fixed in next stable update.

Thanks


-- System Information:
Debian Release: 5.0
  APT prefers stable
  APT policy: (500, 'stable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.26-vl-deb-ws (SMP w/2 CPU cores)
Locale: LANG=en_US.UTF-8, LC_CTYPE=en_US.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Install System Team <debian-boot@lists.debian.org>:
Bug#517114; Package debian-installer. (Wed, 25 Feb 2009 21:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Install System Team <debian-boot@lists.debian.org>. (Wed, 25 Feb 2009 21:00:02 GMT) Full text and rfc822 format available.

Message #10 received at 517114@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 517114@bugs.debian.org, 517114-submitter@bugs.debian.org
Cc: control@bugs.debian.org
Subject: more info
Date: Wed, 25 Feb 2009 20:57:05 +0000
[Message part 1 (text/plain, inline)]
retitle 517114 please enable the prompt to enter preseeding url
severity 517114 normal
thanks

After more testing and a few chats on IRC, the aim of this bug report
is actually to re-enable the prompt so that when Automatic Install is
selected without editing the boot command line, the user is prompted
for the url of the pre-seeding file.

This is a far more convenient way to use pre-seeding, especially for
distributions like Emdebian Grip where pre-seeding is essential to
allow d-i to adapt to Emdebian modifications.

It was present in the daily builds before rc2 but was, apparently,
dropped from the final release code due to a regression related to
DHCP. It would be a significant enhancement to Emdebian if the prompt
could be reinstated for Debian 5.0.1.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Changed Bug title to `please enable the prompt to enter preseeding url' from `debian-installer: preseeding not working'. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 25 Feb 2009 21:00:04 GMT) Full text and rfc822 format available.

Severity set to `normal' from `important' Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Wed, 25 Feb 2009 21:00:04 GMT) Full text and rfc822 format available.

Message sent on to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug#517114. (Wed, 25 Feb 2009 21:00:06 GMT) Full text and rfc822 format available.

Bug reassigned from package `debian-installer' to `auto-install'. Request was from Colin Watson <cjwatson@debian.org> to control@bugs.debian.org. (Fri, 27 Feb 2009 10:00:15 GMT) Full text and rfc822 format available.

Reply sent to Debian FTP Masters <ftpmaster@ftp-master.debian.org>:
You have taken responsibility. (Sun, 01 May 2011 18:45:05 GMT) Full text and rfc822 format available.

Notification sent to Kushal Koolwal <kushalkoolwal@hotmail.com>:
Bug acknowledged by developer. (Sun, 01 May 2011 18:45:06 GMT) Full text and rfc822 format available.

Message #24 received at 517114-done@bugs.debian.org (full text, mbox):

From: Debian FTP Masters <ftpmaster@ftp-master.debian.org>
To: 453661-done@bugs.debian.org,517114-done@bugs.debian.org,
Cc: auto-install@packages.debian.org, auto-install@packages.qa.debian.org
Subject: Bug#624719: Removed package(s) from unstable
Date: Sun, 01 May 2011 18:42:47 +0000
Version: 1.9+rm

Dear submitter,

as the package auto-install has just been removed from the Debian archive
unstable we hereby close the associated bug reports.  We are sorry
that we couldn't deal with your issue properly.

For details on the removal, please see http://bugs.debian.org/624719

The version of this package that was in Debian prior to this removal
can still be found using http://snapshot.debian.org/.

This message was generated automatically; if you believe that there is
a problem with it please contact the archive administrators by mailing
ftpmaster@debian.org.

Debian distribution maintenance software
pp.
Alexander Reichle-Schmehl (the ftpmaster behind the curtain)




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 30 May 2011 07:31:56 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 13:44:24 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.